Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
    1 Day
      1 day by location key and group Idget1 day by location keyget1 day by location key and index Idget
    5 Days
    10 Days
    15 Days
    Metadata
Tropical
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

1 Day


1 day by location key and group Id

GET
https://dataservice.accuweather.com
/indices/v1/daily/1day/{locationKey}/groups/{groupID}

Return 1 day of daily indices for a specific group id and location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

1 day by location key and group Id › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727
groupID
​string

A numerical value representing a group of related indices. More information can be found here.

Example: 1

1 day by location key and group Id › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

1 day by location key and group Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

1 day by location key and group Id › Responses

OK

​API.Indices.Entities.OpenAPI.Index[]
API.Indices.Entities.OpenAPI.Index
LocalDateTime
​string · date-time · required

Valid datetime of the index displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDateTime
​integer · int64 · required

Valid datetime for the index displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

MobileLink
​string · uri · required

Link to indices on AccuWeather's mobile site for the requested location.

Link
​string · uri · required

Link to indices on AccuWeather's free site for the requested location.

Name
​string | null

Name of the index.

ID
​integer · int32

Numeric id used to identify the specific index.

Ascending
​boolean

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Value
​number | null · float

Index value that ranges from 0.0 to 10.0.

Category
​string | null

Level that the index value falls. Categories differ among indices.

CategoryValue
​integer · int32

Level that the index value falls represented by an int. This value can be 1 through 5 and should be used in combination with the ascending flag because it can differ among indices.

Text
​string | null

Sentence that can be used for display purposes to sum up the index value and category.

GET/indices/v1/daily/1day/{locationKey}/groups/{groupID}
curl https://dataservice.accuweather.com/indices/v1/daily/1day/:locationKey/groups/:groupID \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "LocalDateTime": "2024-08-25T15:00:00Z", "EpochDateTime": 0, "Value": 0, "Category": "Category", "CategoryValue": 0, "Text": "Text", "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

1 day by location key

GET
https://dataservice.accuweather.com
/indices/v1/daily/1day/{locationKey}

Return 1 day of daily indices for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

1 day by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

1 day by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json
groupID
​string

A numerical value representing a group of related indices. More information can be found here.

Example: 1
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

1 day by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

1 day by location key › Responses

OK

​API.Indices.Entities.OpenAPI.Index[]
API.Indices.Entities.OpenAPI.Index
LocalDateTime
​string · date-time · required

Valid datetime of the index displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDateTime
​integer · int64 · required

Valid datetime for the index displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

MobileLink
​string · uri · required

Link to indices on AccuWeather's mobile site for the requested location.

Link
​string · uri · required

Link to indices on AccuWeather's free site for the requested location.

Name
​string | null

Name of the index.

ID
​integer · int32

Numeric id used to identify the specific index.

Ascending
​boolean

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Value
​number | null · float

Index value that ranges from 0.0 to 10.0.

Category
​string | null

Level that the index value falls. Categories differ among indices.

CategoryValue
​integer · int32

Level that the index value falls represented by an int. This value can be 1 through 5 and should be used in combination with the ascending flag because it can differ among indices.

Text
​string | null

Sentence that can be used for display purposes to sum up the index value and category.

GET/indices/v1/daily/1day/{locationKey}
curl https://dataservice.accuweather.com/indices/v1/daily/1day/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "LocalDateTime": "2024-08-25T15:00:00Z", "EpochDateTime": 0, "Value": 0, "Category": "Category", "CategoryValue": 0, "Text": "Text", "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

1 day by location key and index Id

GET
https://dataservice.accuweather.com
/indices/v1/daily/1day/{locationKey}/{indexID}

Return 1 day of daily indices for a specific index id and location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

1 day by location key and index Id › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727
indexID
​string

A numerical value used to identify a specific index. More information can be found here.

Example: 29

1 day by location key and index Id › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

1 day by location key and index Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

1 day by location key and index Id › Responses

OK

​API.Indices.Entities.OpenAPI.Index[]
API.Indices.Entities.OpenAPI.Index
LocalDateTime
​string · date-time · required

Valid datetime of the index displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDateTime
​integer · int64 · required

Valid datetime for the index displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

MobileLink
​string · uri · required

Link to indices on AccuWeather's mobile site for the requested location.

Link
​string · uri · required

Link to indices on AccuWeather's free site for the requested location.

Name
​string | null

Name of the index.

ID
​integer · int32

Numeric id used to identify the specific index.

Ascending
​boolean

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Value
​number | null · float

Index value that ranges from 0.0 to 10.0.

Category
​string | null

Level that the index value falls. Categories differ among indices.

CategoryValue
​integer · int32

Level that the index value falls represented by an int. This value can be 1 through 5 and should be used in combination with the ascending flag because it can differ among indices.

Text
​string | null

Sentence that can be used for display purposes to sum up the index value and category.

GET/indices/v1/daily/1day/{locationKey}/{indexID}
curl https://dataservice.accuweather.com/indices/v1/daily/1day/:locationKey/:indexID \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "LocalDateTime": "2024-08-25T15:00:00Z", "EpochDateTime": 0, "Value": 0, "Category": "Category", "CategoryValue": 0, "Text": "Text", "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

IP Address5 Days